------------------------------------------------------------------------
r6543 | stepan | 2011-04-23 01:12:40 +0200 (Sat, 23 Apr 2011) | 6 lines

Add (partly) support for Nuvoton NCT6776F

Signed-off-by: Stefan Reinauer <reinauer@google.com>
Acked-by: Peter Stuge <peter@stuge.se>


------------------------------------------------------------------------
r6542 | stepan | 2011-04-23 01:10:35 +0200 (Sat, 23 Apr 2011) | 6 lines

cosmetic changes to superiotool's nuvoton code

Signed-off-by: Stefan Reinauer <stefan.reinauer@coreboot.org>
Acked-by: Stefan Reinauer <stefan.reinauer@coreboot.org>


------------------------------------------------------------------------
r6484 | uwe | 2011-04-11 09:46:27 +0200 (Mon, 11 Apr 2011) | 9 lines

Add detection/dump support for ServerEngines SE-SM 4210-P01.

Note that the registers and their defaults are mostly based on educated
guessing, due to the lack of datasheet.

Signed-off-by: Ruud Schramp <schramp@holmes.nl>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6468 | uwe | 2011-03-29 14:02:03 +0200 (Tue, 29 Mar 2011) | 9 lines

Revert r6460, add full W83627DHG-P/-PT support instead.

Add support for detecting/dumping the registers of Nuvoton W83627DHG-P/-PT.
This is a different chip than the Winbond W83627DHG (different IDs).

Signed-off-by: Prakash Punnoor <prakash@punnoor.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6460 | mjones | 2011-03-25 17:54:38 +0100 (Fri, 25 Mar 2011) | 7 lines

I noticed some registers of Winbond W83627DHG, which the datasheet mentions, were not dumped by superiotool. This patch adds those registers to the dump.


Signed-off-by: Prakash Punnoor <prakash@punnoor.de>
Acked-by: Marc Jones <marcj303@gmail.com>


------------------------------------------------------------------------
r6454 | stepan | 2011-03-18 23:08:39 +0100 (Fri, 18 Mar 2011) | 8 lines

DirectHW fixes for coreboot utilities

See http://www.coreboot.org/DirectHW for more information

Signed-off-by: Stefan Reinauer <stefan.reinauer@coreboot.org>
Acked-by: Stefan Reinauer <stefan.reinauer@coreboot.org>


------------------------------------------------------------------------
r6433 | hailfinger | 2011-03-06 18:58:31 +0100 (Sun, 06 Mar 2011) | 8 lines

Add support for the NSC PC87364 Super I/O.

superiotool -deV output:
http://www.flashrom.org/pipermail/flashrom/2011-March/005878.html

Signed-off-by: Michael Karcher <flashrom@mkarcher.dialup.fu-berlin.de>
Acked-by: Stefan Reinauer <stefan.reinauer@coreboot.org>

------------------------------------------------------------------------
r6370 | dhendrix | 2011-02-17 01:52:02 +0100 (Thu, 17 Feb 2011) | 9 lines

add mec1308 support to superiotool

This patch also disables FDC37M81x since it has a conflicting device ID
and is not supported very well anyway.

Signed-off-by: David Hendricks <dhendrix@google.com>
Acked-by: Stefan Reinauer <reinauer@google.com>


------------------------------------------------------------------------
r6331 | jakllsch | 2011-02-03 17:00:28 +0100 (Thu, 03 Feb 2011) | 5 lines

Add support for the IT8720F Super I/O

Signed-off-by: Christian Ruppert <idl0r@gentoo.org>
Acked-by: Stefan Reinauer <stepan@coreboot.org>

------------------------------------------------------------------------
r6327 | uwe | 2011-02-03 00:49:41 +0100 (Thu, 03 Feb 2011) | 12 lines

Add detection/dump support for the NSC PC87382.

It is a rather small 'Super I/O' device, containing a serial port, IR,
GPIO, and a Docking LPC switch. It is used in various Thinkpads.

Add 0x164e/0x16ef to the list of probed ports for NSC chips, as
Thinkpads are using this address pair.

Signed-off-by: Sven Schnelle <svens@stackframe.org>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6235 | uwe | 2011-01-01 23:05:57 +0100 (Sat, 01 Jan 2011) | 8 lines

Add detection support for the ITE IT8721F.

Tested on hardware by me.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6226 | zbao | 2010-12-31 02:38:45 +0100 (Fri, 31 Dec 2010) | 6 lines

Add detection of Nuvoton WPCM450.

Signed-off-by: Zheng Bao <zheng.bao@amd.com>
Acked-by: Stefan Reinauer <stepan@coreboot.org>


------------------------------------------------------------------------
r6222 | stepan | 2010-12-30 17:57:58 +0100 (Thu, 30 Dec 2010) | 7 lines

superiotool: Don't skip probing on a port if a a chip was detected on another port.
Only skip probing if chip was found on the same port already to avoid
duplicates.
Signed-off-by: Stefan Reinauer <stepan@coreboot.org>
Acked-by: Stefan Reinauer <stepan@coreboot.org>


------------------------------------------------------------------------
r6205 | uwe | 2010-12-21 00:40:23 +0100 (Tue, 21 Dec 2010) | 6 lines

Various Winbond/Nuvoton W83527HG fixes as per datasheet.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6179 | zbao | 2010-12-14 03:02:34 +0100 (Tue, 14 Dec 2010) | 8 lines

Add dump support for the Winbond/Nuvoton W83527HG.
The datasheet is available on nuvoton's website.
http://www.nuvoton.com/NuvotonMOSS/Community/ProductInfo.aspx?
tp_GUID=cf73485c-9e0a-4218-9bee-89dfe9a7bb87

Signed-off-by: Zheng Bao <zheng.bao@amd.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>

------------------------------------------------------------------------
r6169 | zbao | 2010-12-12 15:40:29 +0100 (Sun, 12 Dec 2010) | 14 lines

Add detection support for the Winbond W83527HG Super I/O.

Running result.
superiotool r6131
Found Winbond W83527HG (id=0xb0, rev=0x73) at 0x2e

The documentation is not available yet.


Signed-off-by: Zheng Bao <zheng.bao@amd.com>
Acked-by: Peter Stuge <peter@stuge.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6131 | uwe | 2010-11-29 12:56:39 +0100 (Mon, 29 Nov 2010) | 15 lines

Add Fintek F71889 detection and dump support.

The patch was tested by a user on IRC who had the F71889FG. I
wrote it using documentation from Fintek's website available here:
http://www.fintek.com.tw/files/productfiles/F71889_V0.28P.pdf

This patch also seems to work for the F71889ED, which uses 0x09 and 0x09 for
chip ID bytes 1 & 2. However, I have not been able to find documentation to
verify that the two chips are identical from superiotool's perspective.

Signed-off-by: David Hendricks <dhendrix@google.com>
Signed-off-by: Alec Ari <neotheuser@ymail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r6024 | uwe | 2010-11-05 01:34:12 +0100 (Fri, 05 Nov 2010) | 6 lines

Add detection support for the Fintek F81865/F81865-I.

Signed-off-by: Zheng Bao <zheng.bao@amd.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5984 | uwe | 2010-10-24 16:19:09 +0200 (Sun, 24 Oct 2010) | 6 lines

Add small comment about LDN 5 on F71872F/FG / F71806F/FG.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5983 | jakllsch | 2010-10-24 16:18:55 +0200 (Sun, 24 Oct 2010) | 5 lines

Fix superiotool build on non-NetBSD x86_64.

Signed-off-by: Jonathan Kollasch <jakllsch@kollasch.net>
Acked-by: Jonathan Kollasch <jakllsch@kollasch.net>

------------------------------------------------------------------------
r5982 | jakllsch | 2010-10-24 16:10:35 +0200 (Sun, 24 Oct 2010) | 5 lines

Provide for I/O space access on NetBSD.

Signed-off-by: Jonathan Kollasch <jakllsch@kollasch.net>
Acked-by: Peter Stuge <peter@stuge.se>

------------------------------------------------------------------------
r5980 | uwe | 2010-10-24 15:42:32 +0200 (Sun, 24 Oct 2010) | 6 lines

Update superiotool support for FreeBSD, Makefile fixes.

Signed-off-by: Idwer Vollering <vidwer@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5979 | jakllsch | 2010-10-24 14:43:41 +0200 (Sun, 24 Oct 2010) | 6 lines

Teach superiotool about the registers in a Fintek F71806 (and F71872).

Signed-off-by: Jonathan Kollasch <jakllsch@kollasch.net>
Acked-by: Peter Stuge <peter@stuge.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>

------------------------------------------------------------------------
r5728 | stepan | 2010-08-22 21:41:47 +0200 (Sun, 22 Aug 2010) | 7 lines

Add suport for normal register dumping on ite8510E/TE/G

Signed-off-by: Anders Juel Jensen <andersjjensen@gmail.com>
Acked-by: Stefan Reinauer <stepan@coresystems.de>



------------------------------------------------------------------------
r5727 | stepan | 2010-08-22 21:40:58 +0200 (Sun, 22 Aug 2010) | 6 lines

Add another port to find ite8510 on.

Signed-off-by: Anders Juel Jensen <andersjjensen@gmail.com>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5726 | stepan | 2010-08-22 21:40:11 +0200 (Sun, 22 Aug 2010) | 6 lines

Add support for non LDN register/device naming.

Signed-off-by: Anders Juel Jensen <andersjjensen@gmail.com>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5725 | stepan | 2010-08-22 21:39:04 +0200 (Sun, 22 Aug 2010) | 7 lines

The LDFLAGS = -lz is needed to compile on slackware.
Clubbering CFLAGS is never a good idea.

Signed-off-by: Anders Juel Jensen <andersjjensen@gmail.com>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5708 | stepan | 2010-08-17 10:24:01 +0200 (Tue, 17 Aug 2010) | 5 lines

Add support for Fintek F81216D/DG/AD
 
Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Peter Stuge <peter@stuge.se>

------------------------------------------------------------------------
r5706 | oxygene | 2010-08-17 09:14:44 +0200 (Tue, 17 Aug 2010) | 7 lines

Add support for the Nuvoton NCT5571D. This chip acts nothing like the other
supported Nuvoton chip, but identical to a Winbond, and Nuvoton is a subsidary
of Winbond, so for simplicity's sake I've added it to the Winbond file.

Signed-off-by: Corey Osgood <corey.osgood@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>

------------------------------------------------------------------------
r5690 | hailfinger | 2010-08-11 01:34:51 +0200 (Wed, 11 Aug 2010) | 7 lines

Superiotool support for the IT8500 embedded controller.

Signed-off-by: Donald Huang <donald.huang@ite.com.tw>
Signed-off-by: Yung-chieh Lo <yjlou@google.com>
Signed-off-by: David Hendricks <dhendrix@google.com>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>

------------------------------------------------------------------------
r5689 | uwe | 2010-08-10 01:13:13 +0200 (Tue, 10 Aug 2010) | 11 lines

Some chips do not require enter/exit sequences. This causes them to be
detected and printed multiple times in probe_idregs_* functions where a
simple series of enter --> probe/print --> exit calls are made.

This patch adds a simple check after each set of those calls to make the
functions quit after a chip is found.

Signed-off-by: David Hendricks <dhendrix@google.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5679 | hailfinger | 2010-08-02 04:34:20 +0200 (Mon, 02 Aug 2010) | 5 lines

Adds id for ITE IT8707F to superiotool.

Signed-off-by: Mattias Mattsson <vitplister@gmail.com>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>

------------------------------------------------------------------------
r5667 | hailfinger | 2010-07-23 00:56:44 +0200 (Fri, 23 Jul 2010) | 5 lines

Superiotool support for Nuvoton WPCE775x/NPCE781x.

Signed-off-by: David Hendricks <dhendrix@google.com>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>

------------------------------------------------------------------------
r5651 | stepan | 2010-06-29 23:26:17 +0200 (Tue, 29 Jun 2010) | 5 lines

Add support to IT85xx series
Signed-off-by: Anton Kochkov <anton.kochkov@gmail.com>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5549 | uwe | 2010-05-14 18:40:55 +0200 (Fri, 14 May 2010) | 20 lines

Various superiotool fixes.

  - IT8671F/IT8687R:

    - Fix typo: Parallel port register 0x60 value is 0x03 (not 0x01).
  
    - Fix typo: APC register 0xf6 is 0x00.
  
    - Drop register 0x07 (LDN 0 / none), that's not useful and not listed in
      any of the other Super I/Os either, it always contains the LDN number
      selected "last time", which is useless.
    
    - Fix indentation and other cosmetics.
  
  - Cosmetics, and consistency fixes in LDN names of various Super I/Os.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5537 | stepan | 2010-05-09 17:30:45 +0200 (Sun, 09 May 2010) | 5 lines

Begin implementation support to IT8512/IT8513
Signed-off-by: Anton Kochkov <anton.kochkov@gmail.com>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5535 | linux_junkie | 2010-05-09 01:28:33 +0200 (Sun, 09 May 2010) | 3 lines

Add registers for the it8671f chip.
Signed-off-by: Anders Jenbo <anders@jenbo.dk>
Acked-by: Joseph Smith <joe@settoplinux.org>
------------------------------------------------------------------------
r5507 | stepan | 2010-04-27 08:56:47 +0200 (Tue, 27 Apr 2010) | 8 lines

Since some people disapprove of white space cleanups mixed in regular commits
while others dislike them being extra commits, let's clean them up once and
for all for the existing code. If it's ugly, let it only be ugly once :-)

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5416 | uwe | 2010-04-13 03:22:20 +0200 (Tue, 13 Apr 2010) | 8 lines

Add support for the SMSC FDC37C932 Super I/O.

This chip is found e.g. in the Nokia IP330 (firewall hardware).

Signed-off-by: Marc Bertens <mbertens@xs4all.nl>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5263 | stepan | 2010-03-21 22:22:51 +0100 (Sun, 21 Mar 2010) | 6 lines

Don't abuse LDFLAGS and fix linking with -Wl,--as-needed.

Signed-off-by: Christian Ruppert <idl0r@gentoo.org>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r5081 | uwe | 2010-02-04 01:55:06 +0100 (Thu, 04 Feb 2010) | 9 lines

Add dump support for the Winbond W83877AF (trivial).

This Super I/O doesn't seem to know the concept of LDNs, it's just a
bunch of registers not splitted into banks/LDNs.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5070 | uwe | 2010-01-31 19:48:34 +0100 (Sun, 31 Jan 2010) | 6 lines

Add detection support for the Winbond W83877AF (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5050 | uwe | 2010-01-24 18:29:38 +0100 (Sun, 24 Jan 2010) | 6 lines

Document CONFIG_PCI usage in the README (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5049 | uwe | 2010-01-24 18:15:25 +0100 (Sun, 24 Jan 2010) | 8 lines

Update list of superiotool contributors to r5048 (trivial).

The list is mostly generated by grepping for Signed-off-by in 'svn log'.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5048 | uwe | 2010-01-24 02:47:58 +0100 (Sun, 24 Jan 2010) | 6 lines

Add missing files from the last commit (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5047 | uwe | 2010-01-24 02:40:46 +0100 (Sun, 24 Jan 2010) | 12 lines

Add VIA VT82C686A/VT82C686B detection support to superiotool.

This adds an additional requirement to superiotool: libpci.
The PCI code is conditional on PCI_SUPPORT. You can set the
CONFIG_PCI variable in the Makefile to 'no' to disable it.

Signed-off-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5046 | uwe | 2010-01-23 22:51:10 +0100 (Sat, 23 Jan 2010) | 12 lines

Add detection support for the Winbond W83667HG Super I/O.

$ sudo ./superiotool
superiotool r4931
Found Winbond W83667HG (id=0xa5, rev=0x13) at 0x2e

Details: http://lists.lm-sensors.org/pipermail/lm-sensors/2008-July/023683.html

Signed-off-by: David Bartley <dtbartle@csclub.uwaterloo.ca>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r5045 | uwe | 2010-01-23 16:50:12 +0100 (Sat, 23 Jan 2010) | 6 lines

Add detection support for ITE IT8510E/TE/G and IT8511E/TE/G.

Signed-off-by: Anders Juel Jensen <andersjjensen@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4931 | uwe | 2009-11-09 23:34:17 +0100 (Mon, 09 Nov 2009) | 6 lines

Add detection and dump support for the Winbond WPCD376I.

Signed-off-by: Sean Young <sean@mess.org>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4668 | uwe | 2009-09-24 14:17:07 +0200 (Thu, 24 Sep 2009) | 11 lines

Add detection support for the SMSC FDC37M602.

The ID was found on a Biostar M6TLD board (not mentioned in the
FDC37M60x datasheet, though).

Thanks Maciej Pijanka <maciej.pijanka@gmail.com> for the report.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4623 | stepan | 2009-09-01 11:57:55 +0200 (Tue, 01 Sep 2009) | 8 lines


* Add OSX/Darwin support
* Add DESTDIR support

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Peter Stuge <peter@stuge.se>


------------------------------------------------------------------------
r4424 | libv | 2009-07-12 16:24:06 +0200 (Sun, 12 Jul 2009) | 8 lines

Superiotool: Add IT8703F support.

Kudos to ITE for providing the necessary information that quickly.

Signed-off-by: Luc Verhaegen <libv@skynet.be>
Tested-by: Glenn Mueller <mechwarrior5@hotmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>

------------------------------------------------------------------------
r4375 | uwe | 2009-06-27 04:23:26 +0200 (Sat, 27 Jun 2009) | 6 lines

Add dump support for SMSC LPC47N252.

Signed-off-by: Fran?\195?\167ois-Regis Vuillemin <coreboot@miradou.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4374 | uwe | 2009-06-26 17:53:07 +0200 (Fri, 26 Jun 2009) | 7 lines

Don't dump 0x07 registers, they're useless as they change every time
some software wants to do an LDN access (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4373 | uwe | 2009-06-26 17:25:04 +0200 (Fri, 26 Jun 2009) | 9 lines

This adds register definitions for all logical devices on the SMSC
LPC47U33x, allowing 'superiotool -d' to work.

Also, some consistency string fixes.

Signed-off-by: Michael Gold <mgold@ncf.ca>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4372 | uwe | 2009-06-26 17:16:21 +0200 (Fri, 26 Jun 2009) | 6 lines

Add dump information for F71862FG and F71863FG.

Signed-off-by: Arjan Koers <0h3q2rmn2bdb@list.nospam.xutrox.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4356 | uwe | 2009-06-12 16:20:27 +0200 (Fri, 12 Jun 2009) | 7 lines

Fix typo in Winbond W83977TF register listing.

Signed-off-by: Ioannis Barkas <tripl3fault@yahoo.com>
Signed-off-by: Nikos Barkas <levelwol@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4256 | uwe | 2009-05-07 02:21:02 +0200 (Thu, 07 May 2009) | 6 lines

Fix my last commit. I looked at the wrong dead laptop.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4255 | uwe | 2009-05-07 02:03:18 +0200 (Thu, 07 May 2009) | 8 lines

Support for detecting the SMSC FDC37N869 (trivial).

No datasheet available, chip identified by probing and looking at the PCB.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r4029 | uwe | 2009-03-25 18:38:40 +0100 (Wed, 25 Mar 2009) | 10 lines

- List SMSC LPC47N227 runtime register block as supported.

- Add missing contributor in README.

- Cosmetic fixes.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3990 | stepan | 2009-03-11 15:48:20 +0100 (Wed, 11 Mar 2009) | 5 lines

Add support for the LPC47M182 to superiotool

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Joseph Smith <joe@settoplinux.org>

------------------------------------------------------------------------
r3827 | cozzie | 2008-12-20 20:35:54 +0100 (Sat, 20 Dec 2008) | 7 lines

This adds register map based on NSC PC87392 datasheet. LDN#2 can be
used for a SIR/FIR device.

Signed-off-by: Micha?\197?\130 Miros?\197?\130aw <mirq-linux@rere.qmqm.pl>
Acked-by: Ulf Jordan <jordan@chalmers.se>


------------------------------------------------------------------------
r3784 | uwe | 2008-12-01 15:18:57 +0100 (Mon, 01 Dec 2008) | 13 lines

The Winbond Super I/O chips have another indirection of registers. The
hwmon has generic registers and banked registers, mostly temperature
handling, and SMI/GPIO stuff.

Not all LDNs are switched via register offset 0x07, make it a parameter.
  
Add support for dumping the hardware monitor of Winbond W83627THF/THG
parts with the -e option.

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3750 | uwe | 2008-11-12 20:08:58 +0100 (Wed, 12 Nov 2008) | 7 lines

Add detection support for ITE IT8228E, IT8711F, IT8722F, IT8761E,
IT8780F, and Fintek F71863FG.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Peter Stuge <peter@stuge.se>


------------------------------------------------------------------------
r3698 | uwe | 2008-10-28 23:13:38 +0100 (Tue, 28 Oct 2008) | 7 lines

Allow superiotool to compile and work on FreeBSD. Tested on FreeBSD 7.

Signed-off-by: Andriy Gapon <avg@icyb.net.ua>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3692 | uwe | 2008-10-24 01:33:18 +0200 (Fri, 24 Oct 2008) | 17 lines

Add support for the ITE IT8661F/IT8770F, IT8673F, and IT8671F/IT8687R.

They all use a different init sequence than the more modern ITE Super I/Os.

For now we only use 0x370 as config port, but 0x3f0 or 0x3bd would also be
valid. Contrary to other Super I/Os, the config port for these is _not_
hardcoded via hardware, instead it can be programmed by software, i.e.
you get to choose whether you want to use 0x370, 0x3f0, or 0x3bd.

Tested on IT8671F by Uwe Hermann and on IT8770F by Urja Rannikko.

Signed-off-by: Urja Rannikko <urjaman@gmail.com>
Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Urja Rannikko <urjaman@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3670 | uwe | 2008-10-19 23:03:41 +0200 (Sun, 19 Oct 2008) | 18 lines

Add register definitions for W83627HF based on publicly available
specification and local testing.

Also tweak a little bit algorithm for (internal) device ID calculation:
Chips from the W83627HF/F/HG/G family have an ID of 0x52 and a multitude of
revisions (0x1x, 0x3a, 0x41, maybe more), chips from the W83627HF/GF family
have the same device ID but revisions 0xfx.

Please note that the last line of the patch simply fixes the comment
about internal device ID composition (upper half of reg 0x21 is used).
I chose the most conservative way of detecting W83627HF - only if reg
0x21 value matches 0xFx we skip the previous logic and keep using it for
all other revisions.

Signed-off-by: Andriy Gapon <avg@icyb.net.ua>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3658 | uwe | 2008-10-14 18:34:38 +0200 (Tue, 14 Oct 2008) | 9 lines

Drop global register 0x07 for all Super I/Os (trivial).

This is useless, as it changes with each access; it doesn't convey any
useful information at all.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3657 | uwe | 2008-10-14 18:28:50 +0200 (Tue, 14 Oct 2008) | 7 lines

Add dump support to ITE IT8726F, and add comments and a missing GPIO
register to ITE IT8718F.

Signed-off-by: Josh Profitt <zorn169@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3645 | uwe | 2008-10-10 01:56:11 +0200 (Fri, 10 Oct 2008) | 8 lines

Add Fintek F71882FG support (trivial).

Tested on actual hardware, the MSI K9AG Neo2-Digital (MS-7368).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3626 | uwe | 2008-10-01 22:16:58 +0200 (Wed, 01 Oct 2008) | 6 lines

Add some more Super I/O IDs/names (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3511 | stepan | 2008-08-15 11:46:55 +0200 (Fri, 15 Aug 2008) | 6 lines

fix typo in superiotool (trivial)

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r3429 | stepan | 2008-07-19 16:42:21 +0200 (Sat, 19 Jul 2008) | 4 lines

superiotool: add support for SMSC SIO10N268 (trivial)
Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>

------------------------------------------------------------------------
r3428 | stepan | 2008-07-19 16:07:35 +0200 (Sat, 19 Jul 2008) | 6 lines

add support for 2 new SMSC superio chips. Information is a bit ambiguous
and scattered within the datasheets. (trivial patch)

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>

------------------------------------------------------------------------
r3361 | stuge | 2008-06-07 13:36:30 +0200 (Sat, 07 Jun 2008) | 5 lines

Add dump support for Winbond (NSC) PC87427. Dumps available from real hardware.

Signed-off-by: Tom Sylla <tsylla@gmail.com>
Acked-by: Peter Stuge <peter@stuge.se>

------------------------------------------------------------------------
r3319 | uwe | 2008-05-15 00:56:47 +0200 (Thu, 15 May 2008) | 6 lines

Some NSC Super I/Os can have their config port at 0x15c (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3293 | uwe | 2008-05-08 16:37:12 +0200 (Thu, 08 May 2008) | 6 lines

Add support for dumping ITE IT8718F EC registers (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3292 | uwe | 2008-05-08 15:50:23 +0200 (Thu, 08 May 2008) | 7 lines

Don't split up register list in two blocks, otherwise "Register dump:"
will be printed twice in the output (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3254 | uwe | 2008-04-23 11:27:18 +0200 (Wed, 23 Apr 2008) | 9 lines

Detect SMSC SCH5027 (trivial).

This chip seems to be very similar to the SMSC DME1737, for coreboot
purposes it might even work without any code changes.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3194 | uwe | 2008-03-29 02:35:21 +0100 (Sat, 29 Mar 2008) | 8 lines

Make a few array entries only as big as they absolutely need to be (trivial).

This decreases the size of the superiotool binary from ca. 1.1 MB to 600 KB.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3163 | uwe | 2008-03-17 14:43:48 +0100 (Mon, 17 Mar 2008) | 16 lines

Various smaller fixes in superiotool:

 - Also dump the extra registers (e.g. EC regs) in --list-supported.

 - Small fix in the code to allow for building with -pedantic (yes,
   the fix is a bit silly, but it's simple and allows us to use the
   -pedantic flag to keep the code even cleaner and nicer).

 - Install the binary in /usr/sbin, as it's meant to be run as root.

 - Small typo in README.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r3127 | uwe | 2008-03-04 18:21:04 +0100 (Tue, 04 Mar 2008) | 7 lines

Drop some duplicate documentation from the README. The manpage and
'superiotool --help' already provide the same information (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3121 | uwe | 2008-03-01 19:49:39 +0100 (Sat, 01 Mar 2008) | 6 lines

Small coding style fixes and documentation updates (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3117 | hailfinger | 2008-02-25 23:32:41 +0100 (Mon, 25 Feb 2008) | 13 lines

This patch adds support to dump other registers than the primary
pnp-style configuration registers, using the new option -e/--extra-dump.
This patch only adds dumping of the Environmental Controller
configuration registers for the IT8716f chip.

Signed-off-by: Ronald Hoogenboom <hoogenboom30@zonnet.nl>

I (Carl-Daniel) checked the data sheets of the whole IT87[012] series 
and although the environment controller is sometimes called fan 
controller, the location of the register is the same for all models.

Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>

------------------------------------------------------------------------
r3064 | uwe | 2008-01-19 10:43:48 +0100 (Sat, 19 Jan 2008) | 6 lines

Add Bingxun Shi <bingxunshi@gmail.com> to the list of contributors (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3063 | uwe | 2008-01-19 10:40:17 +0100 (Sat, 19 Jan 2008) | 14 lines

Small superiotool fix to detect more Winbond W83627EHF chips. The
patch is tested on actual hardware.

As per datasheet the ID should be 0x886? for those chips.
Not mentioned in the datasheet, but sensors-detect says
0x8853 is also possible. Also, the ASUS A8V-E Deluxe
(W83627EHF) has an ID of 0x8854 (verified on actual hardware).

So assume all 0x88?? IDs to mean W83627EHF/EF/EHG/EG.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>


------------------------------------------------------------------------
r3062 | hailfinger | 2008-01-19 01:32:07 +0100 (Sat, 19 Jan 2008) | 6 lines

This patch is for winbond w83627DHG superio support in superiotool.
I have test that on my board, it works ;)

Signed-off-by: Bingxun Shi <bingxunshi@gmail.com>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>

------------------------------------------------------------------------
r3060 | uwe | 2008-01-18 19:04:28 +0100 (Fri, 18 Jan 2008) | 6 lines

Document the --list-supported option. Various small fixes (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3056 | stepan | 2008-01-18 16:34:24 +0100 (Fri, 18 Jan 2008) | 5 lines

util/ renames
Acked-by: Stefan Reinauer <stepan@coresystems.de>
Signed-off-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r3050 | uwe | 2008-01-15 23:30:55 +0100 (Tue, 15 Jan 2008) | 7 lines

Add new --list-supported switch for printing the list of Super I/Os
supported by superiotool (closes #91).

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3011 | uwe | 2007-12-17 23:10:00 +0100 (Mon, 17 Dec 2007) | 6 lines

Add dump support for NSC PC87317.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3007 | cozzie | 2007-12-14 21:00:58 +0100 (Fri, 14 Dec 2007) | 6 lines

Add dump support for SMSC LPC47M192.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Corey Osgood <corey.osgood@gmail.com>


------------------------------------------------------------------------
r3006 | uwe | 2007-12-14 01:04:16 +0100 (Fri, 14 Dec 2007) | 6 lines

Add dump support for NSC PC97317.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3005 | uwe | 2007-12-14 00:56:16 +0100 (Fri, 14 Dec 2007) | 6 lines

Add detection and dump support for NSC PC97307.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3004 | uwe | 2007-12-14 00:41:45 +0100 (Fri, 14 Dec 2007) | 6 lines

Add dump support for NSC PC8741x.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3001 | uwe | 2007-12-08 01:17:19 +0100 (Sat, 08 Dec 2007) | 6 lines

Add detection and dump support for NSC PC87309.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r3000 | uwe | 2007-12-08 00:55:20 +0100 (Sat, 08 Dec 2007) | 6 lines

Add/fix some LDN descriptions (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2999 | uwe | 2007-12-07 22:55:12 +0100 (Fri, 07 Dec 2007) | 7 lines

Fix typo. According to National's datasheet PC87317 has SID = 0xd0 and
PC97317 has SID = 0xdf. PC87371/PC97371 do not seem to exist.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2992 | uwe | 2007-11-29 03:43:50 +0100 (Thu, 29 Nov 2007) | 20 lines

Various small fixes (trivial).

 - Add missing contributors to the README.

 - Drop obsolete -D option from manpage.

 - Only list contributors who added non-trivial amounts of code as copyright
   holders (and do not list those who merely provided register dump support
   for Super I/Os). Those contributors are still listed in the README,
   of course. See discussion in the thread starting at
   http://www.linuxbios.org/pipermail/linuxbios/2007-October/025516.html

 - Make a function static.

 - Fix incorrect URL in code comment. Drop obsolete comments.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2986 | uwe | 2007-11-25 22:43:29 +0100 (Sun, 25 Nov 2007) | 6 lines

Dump support for SMSC FDC37C67x.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2979 | cozzie | 2007-11-24 22:49:39 +0100 (Sat, 24 Nov 2007) | 6 lines

Add dump support for the PC87366.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Corey Osgood <corey.osgood@gmail.com>


------------------------------------------------------------------------
r2977 | uwe | 2007-11-22 04:36:18 +0100 (Thu, 22 Nov 2007) | 6 lines

Dump support for the SMSC LPC47B27x (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2975 | uwe | 2007-11-17 18:13:52 +0100 (Sat, 17 Nov 2007) | 6 lines

Detection support for more Super I/Os. Small fixes (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2970 | uwe | 2007-11-14 01:30:36 +0100 (Wed, 14 Nov 2007) | 7 lines

Add detection and dump support for the SMSC FDC37N958FR (trivial).


Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2963 | uwe | 2007-11-13 16:16:06 +0100 (Tue, 13 Nov 2007) | 6 lines

Add dump support for NSC PC87360.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2957 | uwe | 2007-11-13 10:09:33 +0100 (Tue, 13 Nov 2007) | 7 lines

Grouping register dumps by 8 register values per group for better readability.
Remove trailing spaces within the register dumps.

Signed-off-by: Frieder Ferlemann <Frieder.Ferlemann@web.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2956 | uwe | 2007-11-12 22:02:44 +0100 (Mon, 12 Nov 2007) | 7 lines

Drop superfluous exit_conf_mode*() calls, we don't want to call them twice.
Small cosmetic fixes (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2922 | uwe | 2007-10-31 23:22:11 +0100 (Wed, 31 Oct 2007) | 7 lines

Use the preferred order of 'static const' instead of 'const static'.
This is the common style in both Linux as well as in LinuxBIOS.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Jordan Crouse <jordan.crouse@amd.com>


------------------------------------------------------------------------
r2872 | uwe | 2007-10-18 01:43:59 +0200 (Thu, 18 Oct 2007) | 7 lines

Drop support for the --human-readable option. It's not any more useful than
the --dump option, it just means lots of additional work for no gain, IMO.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r2871 | uwe | 2007-10-18 01:42:02 +0200 (Thu, 18 Oct 2007) | 9 lines

Print the version number always, not only in verbose mode.

We often want to know the exact version number of superiotool which
was used to gather a certain output/dump.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r2870 | uwe | 2007-10-18 01:37:36 +0200 (Thu, 18 Oct 2007) | 6 lines

Add dump support for the Winbond W83697SF.

Signed-off-by: Idwer Vollering <idwer_v@hotmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2865 | uwe | 2007-10-16 23:56:32 +0200 (Tue, 16 Oct 2007) | 8 lines

Add detection support for the Winbond W83977AF as found in the
Advantech PCM-5820 board (confirmed by Erwan Velu <erwan@seanodes.com>
on IRC). Trivial (and tested) patch.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2861 | uwe | 2007-10-16 20:15:25 +0200 (Tue, 16 Oct 2007) | 11 lines

Fix the detection for the Winbond W83697SF. Unfortunately the revision
has a slightly different format than that of the W83697UF/UG so we have
to hack around it a bit.

This patch has been verified to work on real hardware by
Idwer Vollering <idwer_v@hotmail.com> on IRC (thanks!).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Ronald G. Minnich <rminnich@gmail.com>


------------------------------------------------------------------------
r2860 | uwe | 2007-10-16 02:34:03 +0200 (Tue, 16 Oct 2007) | 6 lines

Dump support for the Winbond W83977TF.

Signed-off-by: Idwer Vollering <idwer_v@hotmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2855 | uwe | 2007-10-15 17:46:59 +0200 (Mon, 15 Oct 2007) | 9 lines

Fix stupid thinko in the Winbond detection code which prevented some
of the Winbond chips from being detected (trivial fix).

This is verified on real hardware and works fine now.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2854 | uwe | 2007-10-14 19:02:15 +0200 (Sun, 14 Oct 2007) | 6 lines

Add dump support for the NSC PC8374L (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2852 | uwe | 2007-10-13 20:06:12 +0200 (Sat, 13 Oct 2007) | 6 lines

Set the superiotool version number from svn at build time.

Signed-off-by: Ulf Jordan <jordan@chalmers.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2851 | uwe | 2007-10-13 19:06:21 +0200 (Sat, 13 Oct 2007) | 6 lines

Dump support for the SMSC LPC47N227.

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2849 | uwe | 2007-10-11 20:30:05 +0200 (Thu, 11 Oct 2007) | 6 lines

Superiotool manpage/documentation improvements (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2842 | uwe | 2007-10-08 03:59:46 +0200 (Mon, 08 Oct 2007) | 7 lines

Fixup a register dump attached to the wrong Super I/O. Seems something
went wrong in one of the recent commits.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2841 | uwe | 2007-10-08 03:11:11 +0200 (Mon, 08 Oct 2007) | 6 lines

Add detection support for lots more SMSC Super I/Os (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2838 | uwe | 2007-10-07 23:50:29 +0200 (Sun, 07 Oct 2007) | 6 lines

Some more ITE chips and small fixes (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2837 | uwe | 2007-10-07 23:48:26 +0200 (Sun, 07 Oct 2007) | 7 lines

Detection support for a bunch of NSC Super I/Os (trivial).
Also, dump support for the NSC PC87351.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2835 | uwe | 2007-10-07 22:01:23 +0200 (Sun, 07 Oct 2007) | 6 lines

Print a short message if no Super I/O chip could be detected (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2834 | uwe | 2007-10-07 21:10:24 +0200 (Sun, 07 Oct 2007) | 7 lines

Add a list of contributors to the README (trivial). Also, a small hint
about where to send additional register dumps.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2833 | uwe | 2007-10-07 21:04:26 +0200 (Sun, 07 Oct 2007) | 7 lines

Add dump support for the Winbond W83627THF/THG.

Signed-off-by: David Hendricks <david.hendricks@gmail.com>
Acked-by: Peter Stuge <peter@stuge.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2832 | uwe | 2007-10-07 17:26:40 +0200 (Sun, 07 Oct 2007) | 6 lines

Add a manpage for superiotool (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2831 | uwe | 2007-10-07 17:12:12 +0200 (Sun, 07 Oct 2007) | 6 lines

Dump support for the SMSC FDC37B72x.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2830 | uwe | 2007-10-07 17:04:17 +0200 (Sun, 07 Oct 2007) | 6 lines

Dump support for the SMSC FDC37B78x.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2829 | uwe | 2007-10-07 16:33:13 +0200 (Sun, 07 Oct 2007) | 7 lines

Dump support for the SMSC FDC37M81x.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Peter Stuge <peter@stuge.se>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2828 | uwe | 2007-10-05 23:58:03 +0200 (Fri, 05 Oct 2007) | 6 lines

Add dump support for the Winbond W83627HF/F/HG/G.

Signed-off-by: Rasmus Wiman <rasmus@wiman.org>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2826 | uwe | 2007-10-05 17:11:38 +0200 (Fri, 05 Oct 2007) | 6 lines

Add dump support for the SMSC LPC47M10x (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2825 | uwe | 2007-10-05 15:47:04 +0200 (Fri, 05 Oct 2007) | 10 lines

Add dump support for the ITE IT8661F. Note that this chip will not yet
be detected, as it needs a non-standard init sequence.

Minor other fix: Drop incorrect 0x2b from LDN 5 of the ITE IT8705F.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2824 | uwe | 2007-10-04 20:34:36 +0200 (Thu, 04 Oct 2007) | 11 lines

Add some more Winbond chips (trivial).

Add notes which IDs were taken from sensors-detect (as where we lack
datasheets, thus cannot verify them) and which we support but sensors-detect
does not (yet). I'll post patches on the lm-sensors list to sync up
the detected chips between superiotool and sensors-detect.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2823 | uwe | 2007-10-04 18:28:56 +0200 (Thu, 04 Oct 2007) | 6 lines

Add detection support for the LPC47B387 (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2822 | uwe | 2007-10-04 17:44:19 +0200 (Thu, 04 Oct 2007) | 6 lines

Add dump support for the ITE IT8705F/AF.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2821 | uwe | 2007-10-04 17:23:38 +0200 (Thu, 04 Oct 2007) | 23 lines

 * Convert the NSC code to the common code structure all other Super I/Os use.

 * Improve the --verbose output a bit more. Print the "Probing..." text for
   all Super I/Os and if a Super I/O is not known, show the data we were
   able to read from the chip (what data this is is very vendor/chip specific).

 * Thus the common no_superio_found() is dropped, it's not useful.
   The "read from 0x20" part was wrong for all Super I/Os other than the
   NSC ones anyway.

 * Winbond: For the 'olddevid' only use bits 3..0, mask away the others.

 * SMSC: Print which ID registers we try to read (in --verbose mode).

 * Minor cosmetic fixes.
   * Rename PC8374 to PC8374L (as per datasheet).
   * Rename probe_idregs_simple() to probe_idregs_nsc().
   * Rename dump_readable_ns8374() to dump_readable_pc8374l().

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r2819 | uwe | 2007-10-03 20:56:51 +0200 (Wed, 03 Oct 2007) | 6 lines

Add a copy of the GPL (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2818 | uwe | 2007-10-03 01:32:21 +0200 (Wed, 03 Oct 2007) | 6 lines

Print superiotool version when run with --verbose.

Signed-off-by: Robinson P. Tryon <bishop.robinson@gmail.com>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2815 | uwe | 2007-10-01 15:39:02 +0200 (Mon, 01 Oct 2007) | 6 lines

De-uglify the --version output (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2814 | uwe | 2007-09-28 17:45:43 +0200 (Fri, 28 Sep 2007) | 7 lines

Random minor fixes. Use svn revision as superiotool version number.
Make the -V output more informative.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2813 | uwe | 2007-09-28 17:39:10 +0200 (Fri, 28 Sep 2007) | 6 lines

Add support for some more Fintek chips and an ALi chip.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2812 | uwe | 2007-09-28 17:02:17 +0200 (Fri, 28 Sep 2007) | 9 lines

Fix up the SMSC detection code to probe _both_ old- and new-style
Super I/Os from SMSC. Otherwise not all of them are detected (and there
could theoretically be _two_ of them in a system, so we should probe
for both types anyway).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2809 | uwe | 2007-09-26 18:14:16 +0200 (Wed, 26 Sep 2007) | 6 lines

Add detection support for lots more Winbond Super I/Os (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2808 | uwe | 2007-09-26 17:48:09 +0200 (Wed, 26 Sep 2007) | 6 lines

Dump support for the Fintek F71805 (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2806 | uwe | 2007-09-25 01:24:46 +0200 (Tue, 25 Sep 2007) | 6 lines

Detection support for the Winbond W83627HF (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2805 | ward | 2007-09-25 00:02:31 +0200 (Tue, 25 Sep 2007) | 6 lines

Fix compilation warning.

Signed-off-by: Ward Vandewege <ward@gnu.org>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2803 | uwe | 2007-09-24 03:40:09 +0200 (Mon, 24 Sep 2007) | 7 lines

Add detection support for quite a number of SMSC Super I/Os. Also, add
dump support for the SMSC DME1737 and the ASUS A8000. Random minor fixes.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2802 | uwe | 2007-09-23 15:17:29 +0200 (Sun, 23 Sep 2007) | 6 lines

Minor fixes/improvements in the Fintek code (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2796 | uwe | 2007-09-21 16:48:04 +0200 (Fri, 21 Sep 2007) | 6 lines

Add register dump capability for ITE IT8718F (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2795 | uwe | 2007-09-21 01:57:44 +0200 (Fri, 21 Sep 2007) | 8 lines

Add -D / --dump-readable option which prints the Super I/O register
contents in human-readable form (e.g. "COM1 enabled" etc.) instead
of the hex-table format from -d / --dump.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2794 | uwe | 2007-09-21 01:37:56 +0200 (Fri, 21 Sep 2007) | 8 lines

Decouple the ITE code from fintek.c, it doesn't belong there.
Add common 'enter configuration mode' function for most Winbond/Fintek/ITE
chips which use the 0x87 0x87 sequence for that reason.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2793 | uwe | 2007-09-21 00:13:48 +0200 (Fri, 21 Sep 2007) | 9 lines

Fix up and generalize the ITE IT8708F code. It was only working out of
pure luck (and broken code elsewhere). Needs some more fixing.

Add more LDN descriptions to various Super I/Os.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2791 | uwe | 2007-09-20 02:00:49 +0200 (Thu, 20 Sep 2007) | 7 lines

Superiotool: Add dump support to the Winbond W83697HF/F.
Minor coding style changes and code simplifications.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2790 | uwe | 2007-09-19 18:26:18 +0200 (Wed, 19 Sep 2007) | 6 lines

Implement usage for --help and put the same information into the README, too.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2789 | uwe | 2007-09-19 17:52:23 +0200 (Wed, 19 Sep 2007) | 7 lines

Add support for the Winbond W83697HF/F and W83627EHF/EF/EHG/EG.
Various minor fixes and improvements (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2788 | uwe | 2007-09-19 03:55:35 +0200 (Wed, 19 Sep 2007) | 38 lines

Further code simplifications and improvements.

Add command line option handling code. The following options
are defined at the moment:

-d|--dump      Dump Super I/O registers.
-V|--verbose   Verbose mode.
-v|--version   Show the superiotool version.
-h|--help      Show a short help text.

Per default (no options) we just probe for a Super I/O
and print its vendor, name, ID, version, and config port.

Example:

$ ./superiotool
Found SMSC FDC37N769 Super I/O (id=0x28, rev=0x01) at port=0x03f0

$ ./superiotool -d
Found SMSC FDC37N769 Super I/O (id=0x28, rev=0x01) at port=0x03f0
idx 00 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f 10 11 12 13 14 15 16 17 18 19 1a 1b 1c 1d 1e 1f 20 21 22 23 24 25 26 27 28 29 2a 2b 2c 2d 2e 2f
val 20 90 80 f4 00 00 ff 00 00 00 40 00 0e 28 01 00 00 00 00 00 02 00 01 03 00 00 00 00 00 00 80 00 00 00 00 00 00 ba 00 00 03 00 00 23 03 03 00 00
def 28 9c 88 70 00 00 ff 00 00 00 00 00 02 28 NA 00 00 80 RR RR NA NA NA 03 RR RR RR RR RR RR 80 00 3c RR RR 00 00 00 00 00 00 00 RR 00 00 03 00 00

$ ./superiotool -s
./superiotool: invalid option -- s

$ ./superiotool -h
Usage: superiotool [-d] [-V] [-v] [-h]

$ ./superiotool -v
superiotool 0.1


Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2785 | uwe | 2007-09-19 02:48:42 +0200 (Wed, 19 Sep 2007) | 7 lines

Split out enter_conf_mode_*()/exit_conf_mode_() functions, we'll soon need
them. Reduce code duplication a bit by improved 'no dump available' handling.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2783 | uwe | 2007-09-19 02:03:14 +0200 (Wed, 19 Sep 2007) | 6 lines

Use uint16_t and friends where appropriate (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2782 | uwe | 2007-09-19 01:30:24 +0200 (Wed, 19 Sep 2007) | 7 lines

Make the code a bit more generic (trivial). Different Super I/Os
use different config ports.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2781 | uwe | 2007-09-19 00:24:34 +0200 (Wed, 19 Sep 2007) | 25 lines

Superiotool: Add support for the SMSC FDC37N769.

Here's what a register dump looks like on my test system:

No Super I/O chip found at 0x002e
No Super I/O chip found at 0x004e
No Super I/O chip found at 0x002e
No Super I/O chip found at 0x004e
No Super I/O chip found at 0x002e
No Super I/O chip found at 0x004e
Super I/O found at 0x03f0: id=0x28, rev=0x01
SMSC FDC37N769
idx 00 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f 10 11 12 13 14 15 16 17 18 19 1a 1b 1c 1d 1e 1f 20 21 22 23 24 25 26 27 28 29 2a 2b 2c 2d 2e 2f 
val 20 90 80 f4 00 00 ff 00 00 00 40 00 0e 28 01 00 00 00 00 00 02 00 01 03 00 00 00 00 00 00 80 00 00 00 00 00 00 ba 00 00 03 00 00 23 03 03 00 00 
def 28 9c 88 70 00 00 ff 00 00 00 00 00 02 28 NA 00 00 80 RR RR NA NA NA 03 RR RR RR RR RR RR 80 00 3c RR RR 00 00 00 00 00 00 00 RR 00 00 03 00 00 
Probing 0x0370, failed (0xff), data returns 0xff

I'm self-acking this as it's pretty simple stuff, but please let me
know if anything could be improved here, or if you think this
is not trivial enough to warrant self-acking.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2780 | uwe | 2007-09-18 02:01:27 +0200 (Tue, 18 Sep 2007) | 6 lines

Add a README for superiotool (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2779 | uwe | 2007-09-16 22:59:01 +0200 (Sun, 16 Sep 2007) | 7 lines

Split out a dump_superio() function from ite.c, and make it slightly more
generic, so that we can use it for other Super I/Os, too.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2778 | uwe | 2007-09-16 20:17:44 +0200 (Sun, 16 Sep 2007) | 7 lines

Make 'struct superio_registers' globally available, pretty much
all Super I/Os can (and should!) use this (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2777 | uwe | 2007-09-16 20:11:03 +0200 (Sun, 16 Sep 2007) | 9 lines

Split up superiotool.c into multiple source files, one per vendor.

As there will be lots more supported Super I/Os soon, the file is
really getting way too big...

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2762 | uwe | 2007-09-01 23:20:29 +0200 (Sat, 01 Sep 2007) | 6 lines

Small consistency fixes (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2761 | uwe | 2007-09-01 23:02:44 +0200 (Sat, 01 Sep 2007) | 6 lines

Various coding style and whitespace fixes (trivial).

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2760 | uwe | 2007-09-01 22:24:30 +0200 (Sat, 01 Sep 2007) | 8 lines

Add ITE IT8716F support to probe_superio. This helps especially
GA-M57SLI board owners who wish to debug remaining problems or handle
SPI flash of newer board versions.

Signed-off-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2759 | uwe | 2007-09-01 22:20:41 +0200 (Sat, 01 Sep 2007) | 7 lines

Rename probe_superio.c to superiotool.c.
Flesh out Makefile with all the usual stuff, e.g. install targets etc.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2758 | uwe | 2007-09-01 21:44:36 +0200 (Sat, 01 Sep 2007) | 7 lines

Move probe_superio into the global util/ directory.
Rename it to superiotool while we're at it.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2757 | uwe | 2007-09-01 21:42:42 +0200 (Sat, 01 Sep 2007) | 63 lines

Add support for the ITE IT8708F.

Here's a dump from my test system which has an IT8708F:

No SuperI/O chip found at 0x002e
probing 0x002e, failed (0x87), data returns 0x87
SuperI/O found at 0x2e: id=0x8708, chipver=0x0
ITE IT8708
idx 07 20 21 22 23 24 25 26 27 28 29 2a 2e 2f 
val 02 87 08 00 00 00 00 00 03 01 01 00 00 00 
def NA 87 08 00 00 NA 3f 00 ff ff ff ff 00 00 
switching to LDN 0x0
idx 30 60 61 70 74 f0 f1 
val 01 03 f0 06 02 00 80 
def 00 03 f0 06 02 00 00 
switching to LDN 0x1
idx 30 60 61 70 f0 
val 01 03 f8 04 00 
def 00 03 f8 04 00 
switching to LDN 0x2
idx 30 60 61 70 f0 f1 f2 f3 
val 01 02 f8 03 00 50 01 7f 
def 00 02 f8 03 00 50 00 7f 
switching to LDN 0x3
idx 30 60 61 62 63 64 65 70 74 f0 
val 01 03 78 07 78 00 80 07 03 0b 
def 00 03 78 07 78 00 80 07 03 03 
switching to LDN 0x4
idx e0 e1 e2 e3 e4 e5 e6 e7 f0 f1 f2 f3 f4 f5 f6 
val 80 61 00 00 00 00 00 00 80 00 30 00 80 00 de 
def NA NA 00 00 00 00 00 00 00 00 00 00 00 NA NA 
switching to LDN 0x5
idx 30 60 61 62 63 70 71 f0 
val 01 00 60 00 64 01 02 0c 
def 01 00 60 00 64 01 02 00 
switching to LDN 0x6
idx 30 70 71 f0 
val 01 0c 02 00 
def 00 0c 02 00 
switching to LDN 0x7
idx 70 b0 b1 b2 b3 b4 b5 b8 b9 ba bb bc bd c0 c1 c2 c3 c4 c5 c8 c9 ca cb cc cd d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 da db dc f0 f1 f2 f3 f4 f5 f6 f7 f8 f9 fa fb fc 
val 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 03 01 01 00 00 00 03 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ff 7f 20 51 00 0e 00 00 00 00 00 00 00 
def 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 NA NA NA NA NA NA 00 00 00 00 00 00 00 00 00 00 00 NA 00 
switching to LDN 0x8
idx 30 60 61 
val 00 02 01 
def 00 02 01 
switching to LDN 0x9
idx 30 60 61 70 f0 
val 00 03 10 0b 06 
def 00 03 10 0b 00 
switching to LDN 0xa
idx 30 60 61 70 f0 
val 00 03 00 0a 40 
def 00 03 00 0a 00 
No SuperI/O chip found at 0x004e
No SuperIO chip found at 0x004e
No SuperIO chip found at 0x004e

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2755 | uwe | 2007-08-31 22:51:00 +0200 (Fri, 31 Aug 2007) | 9 lines

Fix typo for the ITE IT8712F (trivial).

The default for LDN 5 (keyboard), index 0xF0 is not 0x00
but rather 0x08 as per datasheet.

Signed-off-by: Uwe Hermann <uwe@hermann-uwe.de>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2750 | uwe | 2007-08-28 12:43:57 +0200 (Tue, 28 Aug 2007) | 8 lines

This patch makes ITE Super I/O probing/dumping a little bit more generic,
fixes minor coding style issues and prepares the table for supporting
more chips of the ITE IT87xx Super I/O family.

Signed-off-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
Acked-by: Uwe Hermann <uwe@hermann-uwe.de>


------------------------------------------------------------------------
r2749 | stepan | 2007-08-27 09:28:28 +0200 (Mon, 27 Aug 2007) | 22 lines

This patch rewrites probe_superio almost completely.
Common code sequences have been factored out, the code has been made
more generic, has better handling of corner cases and is actually much
shorter.

It also adds probing for almost all recent (since 1999) ITE Super I/O
chips to probe_superio. I did verify against all ITE datasheets
(including those not available any more) that the probing was
non-destructive.

For the ITE IT8712F, the complete configuration is dumped and as
comparison the default value from the data sheet is printed.
More information can be extracted easily, however this needs loads of
datasheet surfing.

This code has been tested extensively, dumping for other ITE chips will
follow as a separate patch.

Signed-off-by: Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
Acked-by: Stefan Reinauer <stepan@coresystems.de>


------------------------------------------------------------------------
r2536 | stepan | 2007-01-17 11:57:42 +0100 (Wed, 17 Jan 2007) | 7 lines

trivial enhancement
* add fintek superio support
* add license header
* add clean target in makefile
Signed-off-by: Stefan Reinauer <stepan@coresystems.de>
Acked-by: Stefan Reinauer <stepan@coresystems.de>

------------------------------------------------------------------------
r2189 | rminnich | 2006-03-01 17:11:05 +0100 (Wed, 01 Mar 2006) | 2 lines

a few new items and mods for ollie

------------------------------------------------------------------------
r2179 | rminnich | 2006-02-22 23:12:39 +0100 (Wed, 22 Feb 2006) | 2 lines

oops, added a binary

------------------------------------------------------------------------
r2178 | rminnich | 2006-02-22 23:12:21 +0100 (Wed, 22 Feb 2006) | 3 lines

added new superio. added new simple util. 
modified dell 1850

------------------------------------------------------------------------
